### DBcursor->set_priority

`

###

    #include <db.h>

    int
    DbCursor->set_priority(DBC *DbCursor, DB_CACHE_PRIORITY priority);

    int
    DbCursor->get_priority(DBC *DbCursor, DB_CACHE_PRIORITY *priorityp);

### Description: DBcursor->set_priority

Set the cache priority for pages referenced by the DBC handle.

The priority of a page biases the replacement algorithm to be more or less likely to discard a page when space is needed in the buffer pool. The bias is temporary, and pages will eventually be discarded if they are not referenced again. The DBcursor->set_priority method is only advisory, and does not guarantee pages will be treated in a specific way.

The DBcursor->set_priority method may be called at any time during the life of the application.

The DBcursor->set_priority method returns a non-zero error value on failure and 0 on success.

### Parameters

priority
  The priority parameter must be set to one of the following values:
  DB_PRIORITY_VERY_LOW
    The lowest priority: pages are the most likely to be discarded.
  DB_PRIORITY_LOW
    The next lowest priority.
  DB_PRIORITY_DEFAULT
    The default priority.
  DB_PRIORITY_HIGH
    The next highest priority.
  DB_PRIORITY_VERY_HIGH
    The highest priority: pages are the least likely to be discarded.

### Description: DBcursor->get_priority

The DBcursor->get_priority method returns the cache priority for pages referenced by the DBC handle.

The DBcursor->get_priority method may be called at any time during the life of the application.

The DBcursor->get_priority method returns a non-zero error value on failure and 0 on success.

### Parameters

priorityp
  The DBcursor->get_priority method returns a reference to the cache priority for pages referenced by the DBC handle in priorityp.

### Class

DBC

### See Also

Database Cursors and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.